Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class ProxyMap

    java.lang.Object
      |
      +--org.apache.commons.collections.ProxyMap

All Implemented Interfaces:
  Map

Deprecated. Moved to map subpackage as AbstractMapDecorator. It will be removed in v4.0.

public abstract class ProxyMap
extends Object
implements Map

This `Map` wraps another `Map` implementation, using the wrapped instance for its default implementation. This class is used as a framework on which to build to extensions for its wrapped `Map` object which would be unavailable or inconvenient via sub-classing (but usable via composition).

This implementation does not perform any special processing with `entrySet()`, `keySet()` or `values()`. Instead it simply returns the set/collection from the wrapped map. This may be undesirable, for example if you are trying to write a validating implementation it would provide a loophole around the validation. But, you might want that loophole, so this class is kept simple.

Since:
  Commons Collections 2.0
Version:
  $Revision: 1.15 $ $Date: 2004/02/18 01:15:42 $
Author:
  Daniel Rall, Stephen Colebourne

Field Summary
`protected Map` | `map` Deprecated. The `Map` to delegate to.

Constructor Summary
`ProxyMap(Map map)` Deprecated. Constructor that uses the specified map to delegate to.

Method Summary
`void` | `clear()` Deprecated. Invokes the underlying `Map.clear()` method.
`boolean` | `containsKey(Object key)` Deprecated. Invokes the underlying `Map.containsKey(Object)` method.
`boolean` | `containsValue(Object value)` Deprecated. Invokes the underlying `Map.containsValue(Object)` method.
`Set` | `entrySet()` Deprecated. Invokes the underlying `Map.entrySet()` method.
`boolean` | `equals(Object m)` Deprecated. Invokes the underlying `Map.equals(Object)` method.
`Object` | `get(Object key)` Deprecated. Invokes the underlying `Map.get(Object)` method.
`int` | `hashCode()` Deprecated. Invokes the underlying `Map.hashCode()` method.
`boolean` | `isEmpty()` Deprecated. Invokes the underlying `Map.isEmpty()` method.
`Set` | `keySet()` Deprecated. Invokes the underlying `Map.keySet()` method.
`Object` | `put(Object key, Object value)` Deprecated. Invokes the underlying `Map.put(Object,Object)` method.
`void` | `putAll(Map t)` Deprecated. Invokes the underlying `Map.putAll(Map)` method.
`Object` | `remove(Object key)` Deprecated. Invokes the underlying `Map.remove(Object)` method.
`int` | `size()` Deprecated. Invokes the underlying `Map.size()` method.
`Collection` | `values()` Deprecated. Invokes the underlying `Map.values()` method.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected Map map

  Deprecated.
  The `Map` to delegate to.

Constructor Detail

### ProxyMap

    public ProxyMap(Map map)

  Deprecated.
  Constructor that uses the specified map to delegate to.

  Note that the map is used for delegation, and is not copied. This is different to the normal use of a `Map` parameter in collections constructors.

Parameters:
  `map` - the `Map` to delegate to

Method Detail

### clear

    public void clear()

  Deprecated.
  Invokes the underlying `Map.clear()` method.

  Specified by:
    `clear` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Deprecated.
  Invokes the underlying `Map.containsKey(Object)` method.

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object value)

  Deprecated.
  Invokes the underlying `Map.containsValue(Object)` method.

  Specified by:
    `containsValue` in interface `Map`

### entrySet

    public Set entrySet()

  Deprecated.
  Invokes the underlying `Map.entrySet()` method.

  Specified by:
    `entrySet` in interface `Map`

### equals

    public boolean equals(Object m)

  Deprecated.
  Invokes the underlying `Map.equals(Object)` method.

  Specified by:
    `equals` in interface `Map`
  Overrides:
    `equals` in class `Object`

### get

    public Object get(Object key)

  Deprecated.
  Invokes the underlying `Map.get(Object)` method.

  Specified by:
    `get` in interface `Map`

### hashCode

    public int hashCode()

  Deprecated.
  Invokes the underlying `Map.hashCode()` method.

  Specified by:
    `hashCode` in interface `Map`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Deprecated.
  Invokes the underlying `Map.isEmpty()` method.

  Specified by:
    `isEmpty` in interface `Map`

### keySet

    public Set keySet()

  Deprecated.
  Invokes the underlying `Map.keySet()` method.

  Specified by:
    `keySet` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Deprecated.
  Invokes the underlying `Map.put(Object,Object)` method.

  Specified by:
    `put` in interface `Map`

### putAll

    public void putAll(Map t)

  Deprecated.
  Invokes the underlying `Map.putAll(Map)` method.

  Specified by:
    `putAll` in interface `Map`

### remove

    public Object remove(Object key)

  Deprecated.
  Invokes the underlying `Map.remove(Object)` method.

  Specified by:
    `remove` in interface `Map`

### size

    public int size()

  Deprecated.
  Invokes the underlying `Map.size()` method.

  Specified by:
    `size` in interface `Map`

### values

    public Collection values()

  Deprecated.
  Invokes the underlying `Map.values()` method.

  Specified by:
    `values` in interface `Map`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.